#ifndef APP_GAS_SENSOR_H
#define APP_GAS_SENSOR_H

#include <stdint.h>
#include "usart.h"

#ifdef __cplusplus
extern "C" {
#endif

#define GAS_SENSOR_EMPTY_TYPE      0xFFU

void GasSensor_Init(void);
void GasSensor_Service(void);
void GasSensor_RxByteIRQ(UART_HandleTypeDef *huart, uint8_t byte);
void GasSensor_RxErrorIRQ(UART_HandleTypeDef *huart);

#ifdef __cplusplus
}
#endif

#endif /* APP_GAS_SENSOR_H */
